<script setup lang="ts">
import { onBeforeMount, onBeforeUnmount } from "vue";

onBeforeMount(() => {
  const linkTag = document.createElement("link");
  linkTag.setAttribute("rel", "canonical");
  linkTag.href = window.location.origin + window.location.pathname;
  document.head.appendChild(linkTag);
});

onBeforeUnmount(() => {
  document.head.querySelector("[rel=canonical]")?.remove();
});
</script>

<template>
  <h2>Terms of Use</h2>
  <p class="fs-5">Last updated: December 09, 2024</p>
  <p>
    These Terms of Use ("Terms") apply to your use of the Cloud-based Workflow
    Manager (CloWM) instance on clowm.bi.denbi.de ("CloWM"). Please read them
    carefully and let us know if you have any questions.
  </p>
  <p>
    By using CloWM, you agree to be bound by these Terms. If you are using CloWM
    on behalf of an organization, you agree to these Terms on behalf of that
    organization.
  </p>
  <h3>Content</h3>
  <p>
    Content such as uploaded workflows or data sets in CloWM is protected by
    intellectual property laws. You give us permission to access that material
    solely to do what is necessary to provide our services, including storing,
    displaying, reproducing, and distributing those materials.
  </p>
  <p>
    You are solely responsible for the data sets you use in CloWM and assume all
    risks associated with them, including intellectual property or other legal
    claims. By using data sets in CloWM, you acknowledge that you have the
    necessary rights to that material, and that doing so does not conflict with
    any licenses you have granted to others.
  </p>
  <p>
    CloWM allows you to share your data sets and analysis results with others.
    Please be careful about what you choose to share. To facilitate data sharing
    among users, user names will be publicly searchable within the platform.
    CloWM does not actively monitor the data sets you use. However, we have the
    right to remove data sets from CloWM for any reason (such as copyright
    infringement, we learn the material is patently unlawful, etc.) We assume no
    liability for any content that you or anyone else uses with CloWM.
  </p>

  <h4>The CloWM Software</h4>
  <p>
    The CloWM software is protected by copyright and other laws. CloWM gives you
    a personal, worldwide, royalty-free, non-assignable and non-exclusive
    license to use the software we provide you to use our service. This license
    is for the sole purpose of enabling you to use CloWM as permitted by these
    Terms. If you violate these Terms, we may terminate this license and disable
    or restrict your access to our services.
  </p>

  <h3>Prohibited Activities</h3>
  <p>
    We require you to respect these limitations, and we may terminate your
    account if you do not follow them.
  </p>
  <ul>
    <li>
      Do not use CloWM in a manner that violates any laws, regulations,
      ordinances, or directives.
    </li>
    <li>Do not use CloWM contrary to our policies.</li>
    <li>
      Do not use CloWM to do anything threatening, abusive, harassing,
      defamatory, tortious, or invasive of another person's privacy.
    </li>
    <li>
      Do not interfere with the proper functioning of any software, hardware, or
      equipment of CloWM.
    </li>
    <li>
      Do not engage in any conduct that inhibits anyone else's use of our
      services, or which we determine may harm CloWM or our users.
    </li>
    <li>
      Do not monitor or copy any material on CloWM, either manually or through
      automated means (i.e. scraping), without prior written consent.
    </li>
  </ul>
  <h3>Our Rights</h3>
  <p>
    We are always working to improve CloWM and make our services better, so we
    do reserve some rights. In our sole discretion, we may, at any time -- with
    or without notice -- change, disable or restrict access to our services, and
    modify, suspend, or terminate a user account. As a technical necessity, we
    also have full access to all files, metadata and other information that is
    processed through CloWM. CloWM is not liable for any damages as a result of
    these actions.
  </p>

  <h3>Other Sites and Services</h3>
  <p>
    CloWM may contain links to websites, services, and advertisements that we
    neither own nor control. We do not endorse or assume responsibility for any
    third-party sites, information, materials, products, or services.
  </p>

  <h3>Privacy</h3>
  <p>
    Our
    <router-link :to="{ name: 'privacy' }"> Privacy Policy</router-link>
    governs our collection and use of your personal information. Please review
    those provisions, too.
  </p>

  <h3>Cancellation</h3>
  <p>
    You can delete your user account any time you like by writing an email with
    your inquiry to
    <a
      href="mailto:support@clowm.bi.denbi.de?subject=Termination of user account"
      >support@clowm.bi.denbi.de</a
    >. Please be aware that your data sets and workflows will not be deleted in
    this case. Workflows will be shown to be associated to a "deleted user" and
    data sets will still be accessible by the users who had access permissions
    before. If you wish to remove any of this content, delete it before you
    delete your user account.
  </p>

  <h3>Disclaimers</h3>
  <p>CloWM is provided "as is" without any warranties, expressed or implied.</p>

  <h3>Limitation of Liability</h3>
  <p>
    To the fullest extent allowed by law, CloWM shall not be liable for any
    indirect, incidental, special, consequential, or punitive damages, or any
    loss of profits or revenues, whether incurred directly or indirectly, or any
    loss of data, use, goodwill, or other intangible losses resulting from (A)
    your access to, use of, inability to access, or inability to use CloWM; (B)
    any third party conduct or content on CloWM, including any defamatory,
    offensive, or illegal conduct of third parties; or (C) any unauthorized
    access, use, or alteration of your content.
  </p>

  <h3>Modification</h3>
  <p>
    The Terms may be modified from time to time. The date of the most recent
    revisions will always be shown on this page. If we make changes that we
    believe will substantially alter your rights, we will notify you. You will
    agree to accept any changes or revisions to the Terms by continuing to use
    CloWM.
  </p>

  <h3>Contact</h3>
  <p>
    We welcome all questions, concerns, and feedback you might have about these
    terms. If you have suggestions for us, let us know at
    <a href="mailto:support@clowm.bi.denbi.de">support@clowm.bi.denbi.de.</a>
  </p>
</template>

<style scoped></style>
